PUSHD %~dp0
SET TP=%Temp%&&Set RD=%RANDOM%
IF NOT "%1"=="" SET TP=%1:
SET TP=%TP%\AVP4PE_%RD%

7z.exe x AVP.7Z -y -aos -o"%TP%"
PUSHD "%TP%"
CHKNTFS %SystemDrive%|Find /I "RAW"
::IF "%ErrorLevel%"=="0" Copy "%TP%\Drivers\klif.sys" %SystemRoot%\system32\drivers /Y
PECMD LINK %USERPROFILE%\×ÀÃæ\¿¨°ÍË¹»ù,%TP%\AVP6.exe
Start AVP6.exe
EXIT